Create integration
PUT
/api/v1/integration
const url = 'https://example.com/api/v1/integration';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"user":"example","strava":{},"komoot":{},"hammerhead":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/integration \ --header 'Content-Type: application/json' \ --data '{ "user": "example", "strava": {}, "komoot": {}, "hammerhead": {} }'Request Body required
Section titled “Request Body required ” Media type application/json
object
user
required
User ID (15 chars)
string
strava
object
komoot
object
hammerhead
object
Example generated
{ "user": "example", "strava": {}, "komoot": {}, "hammerhead": {}}Responses
Section titled “ Responses ”Integration created
Media type application/json
object
id
required
Integration ID (15 chars)
string
user
required
User ID (15 chars)
string
strava
object
clientId
integer
clientSecret
string
routes
boolean
activities
boolean
active
boolean
after
string format: date
privacy
string
komoot
object
email
string format: email
password
string
completed
boolean
planned
boolean
active
boolean
privacy
string
hammerhead
object
email
string format: email
password
string
completed
boolean
planned
boolean
active
boolean
after
string format: date
created
string format: date-time
updated
string format: date-time
Example
{ "strava": { "privacy": "original" }, "komoot": { "privacy": "original" }}Bad Request
Internal Server Error